## kwwidgets 1.0.0~cvs20100930

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(KWWidgets)

# --------------------------------------------------------------------------
# To use this library in a larger project you will need to SUBDIR into this
# directory so that it gets built and then you will use the following variables
# in your CMakeLists files to get the proper include paths and libraries

set(KWWidgets_INCLUDE_PATH 
  "${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR}/AutoGeneratedClasses;${CMAKE_CURRENT_BINARY_DIR}"
  CACHE INTERNAL "include paths for KWWidgets"
  )

set(KWWidgets_LIBRARIES KWWidgets CACHE INTERNAL "libraries for KWWidgets")

# You will also need to define a value for the following variables:
# KWWidgets_INSTALL_BIN_DIR          - binary dir (executables)
# KWWidgets_INSTALL_LIB_DIR          - library dir (libs)
# KWWidgets_INSTALL_DATA_DIR         - share dir (say, examples, data, etc)
# KWWidgets_INSTALL_INCLUDE_DIR      - include dir (headers)
# KWWidgets_INSTALL_PACKAGE_DIR      - package/export configuration files
# KWWidgets_VTK_INSTALL_PACKAGE_DIR  - VTK package/export configuration files
# KWWidgets_INSTALL_NO_DEVELOPMENT   - do not install development files
# KWWidgets_INSTALL_NO_RUNTIME       - do not install runtime files
# KWWidgets_INSTALL_NO_DOCUMENTATION - do not install documentation files
# --------------------------------------------------------------------------

# --------------------------------------------------------------------------
# Version

set(KWWidgets_MAJOR_VERSION 1)
set(KWWidgets_MINOR_VERSION 0)
set(KWWidgets_PATCH_VERSION 0)
set(KWWidgets_VERSION
  "${KWWidgets_MAJOR_VERSION}.${KWWidgets_MINOR_VERSION}.${KWWidgets_PATCH_VERSION}")

# --------------------------------------------------------------------------
# We need VTK

if(NOT VTK_SOURCE_DIR)
  find_package(VTK REQUIRED)
  include(${VTK_USE_FILE})
  if(NOT VTK_WRAP_TCL)
    message(FATAL_ERROR "Please set VTK_WRAP_TCL to ON in VTK")
  endif(NOT VTK_WRAP_TCL)
  if(VTK_MAJOR_VERSION LESS 5)
    message(FATAL_ERROR "Please use VTK 5.0 or later")
  endif(VTK_MAJOR_VERSION LESS 5)
else(NOT VTK_SOURCE_DIR)
  if(NOT VTK_WRAP_TCL)
    include_directories(${VTK_TK_RESOURCES_DIR})
  endif(NOT VTK_WRAP_TCL)
endif(NOT VTK_SOURCE_DIR)

# --------------------------------------------------------------------------
# Output directories

if(NOT LIBRARY_OUTPUT_PATH)
  set(LIBRARY_OUTPUT_PATH ${KWWidgets_BINARY_DIR}/bin CACHE INTERNAL
    "Single output directory for building all libraries.")
endif(NOT LIBRARY_OUTPUT_PATH)
set(KWWidgets_LIBRARY_DIRS ${LIBRARY_OUTPUT_PATH})
set(KWWidgets_RUNTIME_DIRS ${LIBRARY_OUTPUT_PATH})

if(NOT EXECUTABLE_OUTPUT_PATH)
  set(EXECUTABLE_OUTPUT_PATH ${KWWidgets_BINARY_DIR}/bin CACHE INTERNAL
    "Single output directory for building all executables.")
endif(NOT EXECUTABLE_OUTPUT_PATH)

# --------------------------------------------------------------------------
# Some flags

include_regular_expression("^(vtk|kw|icons).*$")
set(CMAKE_C_FLAGS "${CMAKE_ANSI_CFLAGS} ${CMAKE_C_FLAGS}")
if(CMAKE_COMPILER_2005)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
endif(CMAKE_COMPILER_2005)

set(BUILD_SHARED_LIBS ${VTK_BUILD_SHARED_LIBS})
set(KWWidgets_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})

set(KWWidgets_CMAKE_DIR "${KWWidgets_SOURCE_DIR}/CMake" CACHE INTERNAL "")
subdirs(CMake)
# Make sure VTK_CMAKE_DIR is at the beginning so that VTK's FindTCL is
# used before CMake's FindTCL.
set(CMAKE_MODULE_PATH "${VTK_CMAKE_DIR}" ${CMAKE_MODULE_PATH} "${KWWidgets_CMAKE_DIR}")

set(KWWidgets_CONFIGURATION_TYPES ${CMAKE_CONFIGURATION_TYPES})

mark_as_advanced(CMAKE_BACKWARDS_COMPATIBILITY)

include("${KWWidgets_SOURCE_DIR}/Utilities/tkdnd/TkDnD.cmake")
tkdnd_get_library(KWWidgets_USE_TKDND TKDND_SRCS TKDND_INCLUDE_PATH TKDND_LIBS)

include("${KWWidgets_SOURCE_DIR}/Utilities/TkTreeCtrl/TkTreeCtrl.cmake")
tktreectrl_get_library(KWWidgets_USE_TKTREECTRL TKTREECTRL_SRCS TKTREECTRL_INCLUDE_PATH TKTREECTRL_LIBS)

# --------------------------------------------------------------------------
# Install directories

if(NOT KWWidgets_INSTALL_BIN_DIR)
  set(KWWidgets_INSTALL_BIN_DIR "/bin")
endif(NOT KWWidgets_INSTALL_BIN_DIR)

if(NOT KWWidgets_INSTALL_LIB_DIR)
  set(KWWidgets_INSTALL_LIB_DIR "/lib/${PROJECT_NAME}")
endif(NOT KWWidgets_INSTALL_LIB_DIR)

if(NOT KWWidgets_INSTALL_DATA_DIR)
  set(KWWidgets_INSTALL_DATA_DIR "/share/${PROJECT_NAME}"
    CACHE INTERNAL "")
endif(NOT KWWidgets_INSTALL_DATA_DIR)

if(NOT KWWidgets_INSTALL_INCLUDE_DIR)
  set(KWWidgets_INSTALL_INCLUDE_DIR "/include/${PROJECT_NAME}")
endif(NOT KWWidgets_INSTALL_INCLUDE_DIR)

if(NOT KWWidgets_INSTALL_PACKAGE_DIR)
  set(KWWidgets_INSTALL_PACKAGE_DIR ${KWWidgets_INSTALL_LIB_DIR}
    CACHE INTERNAL "")
endif(NOT KWWidgets_INSTALL_PACKAGE_DIR)

if(NOT KWWidgets_VTK_INSTALL_PACKAGE_DIR)
  set(KWWidgets_VTK_INSTALL_PACKAGE_DIR ${VTK_INSTALL_PACKAGE_DIR})
endif(NOT KWWidgets_VTK_INSTALL_PACKAGE_DIR)

if(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
  set(KWWidgets_INSTALL_NO_DEVELOPMENT 0)
endif(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)

if(NOT KWWidgets_INSTALL_NO_RUNTIME)
  set(KWWidgets_INSTALL_NO_RUNTIME 0)
endif(NOT KWWidgets_INSTALL_NO_RUNTIME)

if(NOT KWWidgets_INSTALL_NO_DOCUMENTATION)
  set(KWWidgets_INSTALL_NO_DOCUMENTATION 0)
endif(NOT KWWidgets_INSTALL_NO_DOCUMENTATION)

set(KWWidgets_INSTALL_NO_LIBRARIES)
if(KWWidgets_BUILD_SHARED_LIBS)
  if(KWWidgets_INSTALL_NO_RUNTIME AND KWWidgets_INSTALL_NO_DEVELOPMENT)
    set(KWWidgets_INSTALL_NO_LIBRARIES 1)
  endif(KWWidgets_INSTALL_NO_RUNTIME AND KWWidgets_INSTALL_NO_DEVELOPMENT)
else(KWWidgets_BUILD_SHARED_LIBS)
  if(KWWidgets_INSTALL_NO_DEVELOPMENT)
    set(KWWidgets_INSTALL_NO_LIBRARIES 1)
  endif(KWWidgets_INSTALL_NO_DEVELOPMENT)
endif(KWWidgets_BUILD_SHARED_LIBS)

# --------------------------------------------------------------------------
# Sources

option(KWWidgets_BUILD_VTK_WIDGETS "Build the widgets that can be interfaced to complex VTK classes. Set it to OFF to build a core version of the library." ON)
mark_as_advanced(KWWidgets_BUILD_VTK_WIDGETS)

set(KWWidgets_SRCS
  vtkKWApplication.cxx
  vtkKWApplicationSettingsInterface.cxx
  vtkKWBalloonHelpManager.cxx
  vtkKWCanvas.cxx
  vtkKWChangeColorButton.cxx
  vtkKWCheckButton.cxx
  vtkKWCheckButtonWithChangeColorButton.cxx
  vtkKWCheckButtonWithPopupFrame.cxx
  vtkKWClipboardHelper.cxx
  vtkKWColorPickerDialog.cxx
  vtkKWColorPickerWidget.cxx
  vtkKWColorPresetSelector.cxx
  vtkKWColorSpectrumWidget.cxx
  vtkKWColorSwatchesWidget.cxx
  vtkKWComboBox.cxx
  vtkKWCompositeWidget.cxx
  vtkKWCoreWidget.cxx
  vtkKWDialog.cxx
  vtkKWDirectoryExplorer.cxx 
  vtkKWDirectoryPresetSelector.cxx
  vtkKWDragAndDropTargetSet.cxx
  vtkKWEntry.cxx
  vtkKWEvent.cxx
  vtkKWEventMap.cxx
  vtkKWExtent.cxx
  vtkKWFavoriteDirectoriesFrame.cxx 
  vtkKWFileBrowserDialog.cxx
  vtkKWFileBrowserWidget.cxx 
  vtkKWFileListTable.cxx 
  vtkKWFrame.cxx
  vtkKWFrameWithLabel.cxx
  vtkKWFrameWithScrollbar.cxx
  vtkKWHSVColorSelector.cxx
  vtkKWIcon.cxx
  vtkKWInternationalization.cxx
  vtkKWKeyBindingsManager.cxx
  vtkKWKeyBindingsWidget.cxx
  vtkKWLabel.cxx
  vtkKWLanguage.cxx
  vtkKWListBox.cxx
  vtkKWListBoxToListBoxSelectionEditor.cxx
  vtkKWLoadSaveButton.cxx
  vtkKWLoadSaveDialog.cxx
  vtkKWLogDialog.cxx
  vtkKWLogWidget.cxx
  vtkKWMaterialPropertyWidget.cxx
  vtkKWMatrixWidget.cxx
  vtkKWMenu.cxx
  vtkKWMenuButton.cxx
  vtkKWMessage.cxx
  vtkKWMessageDialog.cxx
  vtkKWMostRecentFilesManager.cxx
  vtkKWMultiColumnList.cxx
  vtkKWNotebook.cxx
  vtkKWObject.cxx
  vtkKWOptionDataBase.cxx
  vtkKWOptions.cxx
  vtkKWPopupButton.cxx
  vtkKWPopupFrame.cxx
  vtkKWPresetSelector.cxx
  vtkKWProgressGauge.cxx
  vtkKWPushButton.cxx
  vtkKWPushButtonWithMenu.cxx
  vtkKWRadioButton.cxx
  vtkKWRadioButtonSet.cxx
  vtkKWRange.cxx
  vtkKWRegistryHelper.cxx
  vtkKWResourceUtilities.cxx
  vtkKWSaveImageDialog.cxx
  vtkKWScalarComponentSelectionWidget.cxx
  vtkKWScale.cxx
  vtkKWScaleWithEntry.cxx
  vtkKWScrollbar.cxx
  vtkKWSeparator.cxx
  vtkKWSimpleEntryDialog.cxx
  vtkKWSmallCounterLabel.cxx
  vtkKWSpinBox.cxx
  vtkKWSpinButtons.cxx
  vtkKWSplashScreen.cxx
  vtkKWSplitFrame.cxx
  vtkKWStartupPageWidget.cxx
  vtkKWStateMachine.cxx
  vtkKWStateMachineCluster.cxx
  vtkKWStateMachineDOTWriter.cxx
  vtkKWStateMachineInput.cxx
  vtkKWStateMachineState.cxx
  vtkKWStateMachineTransition.cxx
  vtkKWStateMachineWriter.cxx
  vtkKWTclInteractor.cxx
  vtkKWText.cxx
  vtkKWTheme.cxx
  vtkKWThumbWheel.cxx
  vtkKWTkUtilities.cxx
  vtkKWTkcon.cxx
  vtkKWToolbar.cxx
  vtkKWToolbarSet.cxx
  vtkKWTopLevel.cxx
  vtkKWTree.cxx
  vtkKWTreeWithScrollbars.cxx
  vtkKWUserInterfaceManager.cxx
  vtkKWUserInterfaceManagerDialog.cxx
  vtkKWUserInterfaceManagerNotebook.cxx
  vtkKWUserInterfacePanel.cxx
  vtkKWWidget.cxx
  vtkKWWidgetSet.cxx
  vtkKWWidgetWithLabel.cxx
  vtkKWWidgetWithScrollbars.cxx
  vtkKWWidgetWithSpinButtons.cxx
  vtkKWWidgetsVersion.cxx
  vtkKWWindow.cxx
  vtkKWWindowBase.cxx
  vtkKWWindowLevelPresetSelector.cxx
  vtkKWWizardDialog.cxx
  vtkKWWizardStep.cxx
  vtkKWWizardWidget.cxx
  vtkKWWizardWorkflow.cxx
  )

if(KWWidgets_BUILD_VTK_WIDGETS)
  if(NOT VTK_USE_TK)
    message(FATAL_ERROR "Please set VTK_USE_TK to ON in VTK for KWWidgets_BUILD_VTK_WIDGETS to be ON as well.")
  endif(NOT VTK_USE_TK)
  set(KWWidgets_SRCS ${KWWidgets_SRCS}
    vtkKWColorPresetMenu.cxx
    vtkKWColorTransferFunctionEditor.cxx
    vtkKWCornerAnnotationEditor.cxx
    vtkKWGenericRenderWindowInteractor.cxx
    vtkKWHeaderAnnotationEditor.cxx
    vtkKWHistogram.cxx
    vtkKWHistogramSet.cxx
    vtkKWParameterValueFunctionEditor.cxx
    vtkKWParameterValueFunctionInterface.cxx
    vtkKWParameterValueHermiteFunctionEditor.cxx
    vtkKWPiecewiseFunctionEditor.cxx
    vtkKWRenderWidget.cxx
    vtkKWScalarBarAnnotation.cxx
    vtkKWSelectionFrame.cxx
    vtkKWSelectionFrameLayoutManager.cxx
    vtkKWSimpleAnimationWidget.cxx
    vtkKWSurfaceMaterialPropertyWidget.cxx
    vtkKWTextPropertyEditor.cxx
    vtkKWVolumePropertyHelper.cxx
    vtkKWVolumeMaterialPropertyWidget.cxx
    vtkKWVolumePropertyPresetSelector.cxx
    vtkKWVolumePropertyWidget.cxx
    )
endif(KWWidgets_BUILD_VTK_WIDGETS)

# Utilities/Extra sources

set(KWWidgets_UTILS_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/Wrapping/Tcl/vtkKWWidgetsInitializeCommand.cxx
  ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/BWidgets/vtkKWBWidgetsInit.cxx
  ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Tablelist/vtkKWTablelistInit.cxx
  ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/tkcon/vtkKWTkconInit.cxx
  )
if(TKDND_SRCS)
  set(KWWidgets_UTILS_SRCS ${KWWidgets_UTILS_SRCS} ${TKDND_SRCS})
endif(TKDND_SRCS)
if(TKTREECTRL_SRCS)
  set(KWWidgets_UTILS_SRCS ${KWWidgets_UTILS_SRCS} ${TKTREECTRL_SRCS})
endif(TKTREECTRL_SRCS)

# Abstract/pure virtual classes

set_source_files_properties(
  vtkKWClipboardHelper.cxx
  vtkKWMaterialPropertyWidget.cxx
  vtkKWParameterValueFunctionEditor.cxx
  vtkKWParameterValueFunctionInterface.cxx
  vtkKWParameterValueHermiteFunctionEditor.cxx
  vtkKWRegistryHelper.cxx
  vtkKWStateMachineWriter.cxx
  vtkKWUserInterfaceManager.cxx
  vtkKWWidgetSet.cxx
  vtkKWWidgetWithScrollbars.cxx
  ${KWWidgets_UTILS_SRCS}
  ABSTRACT
  )

# Helper classes

set_source_files_properties(
  vtkKWEvent.cxx
  ${KWWidgets_UTILS_SRCS}
  WRAP_EXCLUDE
  )

if(NOT VTK_WRAP_TCL)
  set_source_files_properties(
    vtkKWGenericRenderWindowInteractor.cxx
    WRAP_EXCLUDE
    )
endif(NOT VTK_WRAP_TCL)

# Add the registry code, and the set_icon command on win32

if(WIN32)
  set(KWWidgets_UTILS_SRCS ${KWWidgets_UTILS_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ApplicationIcon/vtkKWSetApplicationIconTclCommand.c)
  set(KWWidgets_SRCS ${KWWidgets_SRCS} 
    vtkKWWin32RegistryHelper.cxx)
  set_source_files_properties(
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ApplicationIcon/vtkKWSetApplicationIconTclCommand.c
    WRAP_EXCLUDE)
else(WIN32)
  set(KWWidgets_SRCS ${KWWidgets_SRCS}
    vtkKWUNIXRegistryHelper.cxx)
endif(WIN32)

# --------------------------------------------------------------------------

=== CMake/CMakeLists.txt ===
if(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
  install_files(${KWWidgets_INSTALL_PACKAGE_DIR}/CMake "\\.cmake$")
endif(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)

=== Examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(KWWidgetsExamples)

# This is done for convenience, so that this very directory can
# be used as a top-level source directory for CMake. 
# Provided that KWWidgets_DIR is set, this will enable testing of all 
# examples separately from the library (say, from an installed KWWidgets tree)
# The relevant variables are:
#   KWWidgets_DIR
#   BUILD_SHARED_LIB
#   TCL_TCLSH (for Tcl tests)
#   TK_WISH (for Tcl tests)
#   PYTHON_EXECUTABLE (for Python tests)
#   KWWidgets_USE_SOVIEWER (for SOViewer tests)
#   SOV_DIR (for SOViewer tests)

if(NOT KWWidgets_SOURCE_DIR)
  find_package(KWWidgets REQUIRED)
  include(${KWWidgets_USE_FILE})
endif(NOT KWWidgets_SOURCE_DIR)

if(NOT DEFINED BUILD_TESTING)
  include(Dart)
  if(NOT DEFINED TCL_TCLSH)
    include(FindTclsh)
  endif(NOT DEFINED TCL_TCLSH)
  if(NOT DEFINED PYTHON_EXECUTABLE)
    include(FindPythonInterp)
  endif(NOT DEFINED PYTHON_EXECUTABLE)
  mark_as_advanced(BUILD_TESTING DART_ROOT TCL_TCLSH PYTHON_EXECUTABLE)
endif(NOT DEFINED BUILD_TESTING)

if(CMAKE_COMPILER_2005)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
endif(CMAKE_COMPILER_2005) 

if(BUILD_TESTING AND KWWidgets_BUILD_TESTING)
  enable_testing()
endif(BUILD_TESTING AND KWWidgets_BUILD_TESTING)

subdirs(Data Resources Cxx Tcl Python)

=== Resources/CMakeLists.txt ===
if(WIN32)
  if(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
    install_files(${KWWidgets_INSTALL_DATA_DIR}/Resources FILES
      ${KWWidgets_RESOURCES_DIR}/KWWidgets.rc.in
      ${KWWidgets_RESOURCES_DIR}/KWWidgetsSetupManifest.xml)
    install_files(${KWWidgets_INSTALL_INCLUDE_DIR}/Resources FILES
      ${KWWidgets_RESOURCES_DIR}/KWWidgets.rc.h
      ${KWWidgets_RESOURCES_DIR}/KWWidgetsIcon16.ico
      ${KWWidgets_RESOURCES_DIR}/KWWidgetsIcon32.ico)
  endif(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
endif(WIN32)

=== Templates/CMakeLists.txt ===
# Configuration options that can be exported

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/vtkKWWidgetsConfigure.h.in 
  ${KWWidgets_BINARY_DIR}/vtkKWWidgetsConfigure.h)

# Configuration options that are relevant to the build tree only

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/vtkKWWidgetsBuildConfigure.h.in 
  ${KWWidgets_BINARY_DIR}/vtkKWWidgetsBuildConfigure.h)

if(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
  install_files(${KWWidgets_INSTALL_INCLUDE_DIR} FILES 
    ${KWWidgets_BINARY_DIR}/vtkKWWidgetsConfigure.h)
  install_files(${KWWidgets_INSTALL_INCLUDE_DIR}/Templates FILES 
    KWWidgetsContents.in
    KWWidgetsSetupPaths.bat.in
    KWWidgetsSetupPaths.cmake.in
    KWWidgetsSetupPaths.csh.in
    KWWidgetsSetupPaths.sh.in
    KWWidgetsSetupPathsLauncher.c.in
    vtkKWWidgetSetSubclass.cxx.in
    vtkKWWidgetSetSubclass.h.in
    vtkKWWidgetsPaths.h.in
    vtkKWWidgetWithLabelSubclass.cxx.in
    vtkKWWidgetWithLabelSubclass.h.in
    vtkKWWidgetWithScrollbarsSubclass.cxx.in
    vtkKWWidgetWithScrollbarsSubclass.h.in
    vtkKWWidgetWithSpinButtonsSubclass.cxx.in
    vtkKWWidgetWithSpinButtonsSubclass.h.in)
endif(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)

=== Testing/CMakeLists.txt ===
subdirs(Tcl)
subdirs(Cxx)

if (VTK_WRAP_PYTHON)
  subdirs(Python)
endif (VTK_WRAP_PYTHON)

if(PYTHON_EXECUTABLE AND VTK_HEADER_TESTING_PY)
  add_test(KWWidgets-HeaderTesting ${PYTHON_EXECUTABLE}
    ${VTK_HEADER_TESTING_PY}
    "${KWWidgets_SOURCE_DIR}"
    vtkKWEvent.h
    vtkKWWidgets.h
    vtkKWFileBrowserUtilities.h
    vtkKWRenderWidgetCallbackCommand.h
    )
endif(PYTHON_EXECUTABLE AND VTK_HEADER_TESTING_PY)

=== Utilities/CMakeLists.txt ===
add_executable(KWConvertImageToHeader KWConvertImageToHeader.cxx)
target_link_libraries(KWConvertImageToHeader ${KWWidgets_LIBRARIES})

subdirs(
  Doxygen
  )

=== Wrapping/CMakeLists.txt ===
# Handle the subdirectories

subdirs(Tcl)

if(VTK_WRAP_PYTHON)
  subdirs(Python)
endif(VTK_WRAP_PYTHON)

# Generate a few small scripts (.bat, .sh, .csh) that can be sourced to set
# the various environments variables (PATH, TCLLIBPATH, LD_LIBRARY_PATH, etc.) 
# required by this executable and its known third-party dependencies (VTK, ITK,
# SOV, KWWidgets, etc.).
# Also Generate a lightweight C launcher for testing purposes. This 
# launcher sets the above environment variables before launching an executable.

if(KWWidgets_USE_SOVIEWER AND SOV_FOUND)
  include(${SOV_USE_FILE})
endif(KWWidgets_USE_SOVIEWER AND SOV_FOUND)

include("${KWWidgets_CMAKE_DIR}/KWWidgetsPathsMacros.cmake")
kwwidgets_generate_setup_paths_scripts("${EXECUTABLE_OUTPUT_PATH}")
if(BUILD_TESTING AND KWWidgets_BUILD_TESTING)
  kwwidgets_generate_setup_paths_launcher(
    "${CMAKE_CURRENT_BINARY_DIR}" "KWWidgetsSetupPathsLauncher" "" "")
endif(BUILD_TESTING AND KWWidgets_BUILD_TESTING)

=== CMake/ExportConfiguration/CMakeLists.txt ===
# Generate the KWWidgetsConfig.cmake file in the build tree. Also configure
# one for installation. The file tells external projects how to use
# KWWidgets.

# Help store a literal dollar in a string.  CMake 2.2 allows escaped
# dollars but we have to support CMake 2.0.
set(DOLLAR "$")

#-----------------------------------------------------------------------------
# Settings shared between the build tree and install tree.

export_library_dependencies(
  ${KWWidgets_BINARY_DIR}/KWWidgetsLibraryDepends.cmake)
include(${CMAKE_ROOT}/Modules/CMakeExportBuildSettings.cmake)
cmake_export_build_settings(
  ${KWWidgets_BINARY_DIR}/KWWidgetsBuildSettings.cmake)

if(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
  install_files(${KWWidgets_INSTALL_PACKAGE_DIR} FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/UseKWWidgets.cmake
    ${KWWidgets_BINARY_DIR}/KWWidgetsLibraryDepends.cmake
    ${KWWidgets_BINARY_DIR}/KWWidgetsBuildSettings.cmake
    )
endif(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)

#-----------------------------------------------------------------------------
# Settings specific to the build tree.

# The install-only section is empty for the build tree.
set(KWWidgets_CONFIG_INSTALL_ONLY)

# The "use" file.
set(KWWidgets_USE_FILE_CONFIG 
  ${CMAKE_CURRENT_SOURCE_DIR}/UseKWWidgets.cmake)

# The build settings file.
set(KWWidgets_BUILD_SETTINGS_FILE_CONFIG 
  ${KWWidgets_BINARY_DIR}/KWWidgetsBuildSettings.cmake)

# The library directories.
set(KWWidgets_LIBRARY_DIRS_CONFIG ${KWWidgets_LIBRARY_DIRS})

# The runtime directories.
set(KWWidgets_RUNTIME_DIRS_CONFIG ${KWWidgets_RUNTIME_DIRS})

# The include directories.
set(KWWidgets_INCLUDE_DIRS_CONFIG ${KWWidgets_INCLUDE_PATH})

# The library dependencies file.
set(KWWidgets_LIBRARY_DEPENDS_FILE 
  ${KWWidgets_BINARY_DIR}/KWWidgetsLibraryDepends.cmake)

# The examples dir.
set(KWWidgets_EXAMPLES_DIR_CONFIG 
  ${KWWidgets_EXAMPLES_DIR})

# The templates dir.
set(KWWidgets_TEMPLATES_DIR_CONFIG 
  ${KWWidgets_TEMPLATES_DIR})

# The resources dir.
set(KWWidgets_RESOURCES_DIR_CONFIG 
  ${KWWidgets_RESOURCES_DIR})

# The CMake macros dir.
set(KWWidgets_CMAKE_DIR_CONFIG 
  ${KWWidgets_CMAKE_DIR})

# The Tcl/Tk options.
set(KWWidgets_TCL_PACKAGE_INDEX_DIR_CONFIG ${KWWidgets_TCL_PACKAGE_INDEX_DIR})

# The Python options.
set(KWWidgets_PYTHON_MODULE_DIR_CONFIG ${KWWidgets_PYTHON_MODULE_DIR})

# The Doxygen options.
set(KWWidgets_DOXYGEN_DIR_CONFIG 
  ${KWWidgets_SOURCE_DIR}/Utilities/Doxygen)

# The VTK options.
set(KWWidgets_VTK_DIR_CONFIG ${VTK_DIR})

# The gettext library. This is only defined for build dirs to help projects
# find the gettext library (it is safe to assume we are on the same machine;
# we could not guarantee that if we are building against an installed 
# KWWidgets though).
get_filename_component(
  GETTEXT_SEARCH_PATH_CONFIG "${GETTEXT_INTL_LIBRARY}" PATH)

# The build configuration information.
set(KWWidgets_CONFIGURATION_TYPES_CONFIG ${KWWidgets_CONFIGURATION_TYPES})
set(KWWidgets_BUILD_TYPE_CONFIG ${CMAKE_BUILD_TYPE})

# Configure KWWidgetsConfig.cmake for the build tree.
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/KWWidgetsConfig.cmake.in
  ${KWWidgets_BINARY_DIR}/KWWidgetsConfig.cmake @ONLY IMMEDIATE)

#-----------------------------------------------------------------------------
# Settings specific to the install tree.

# The "use" file.
set(KWWidgets_USE_FILE_CONFIG 
  ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_PACKAGE_DIR}/UseKWWidgets.cmake)

# The build settings file.
set(KWWidgets_BUILD_SETTINGS_FILE_CONFIG 
  ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_PACKAGE_DIR}/KWWidgetsBuildSettings.cmake)

# The library directories.
if(CYGWIN AND KWWidgets_BUILD_SHARED_LIBS)
  # In Cygwin programs directly link to the .dll files.
  set(KWWidgets_LIBRARY_DIRS_CONFIG 
    ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_BIN_DIR})
else(CYGWIN AND KWWidgets_BUILD_SHARED_LIBS)
  set(KWWidgets_LIBRARY_DIRS_CONFIG 
    ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_LIB_DIR})
endif(CYGWIN AND KWWidgets_BUILD_SHARED_LIBS)

# The runtime directories.
if(WIN32)
  set(KWWidgets_RUNTIME_DIRS_CONFIG 
    ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_BIN_DIR})
else(WIN32)
  set(KWWidgets_RUNTIME_DIRS_CONFIG 
    ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_LIB_DIR})
endif(WIN32)

# The include directories.
set(KWWidgets_INCLUDE_DIRS_CONFIG
  ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_INCLUDE_DIR})

# The library dependencies file.
set(KWWidgets_LIBRARY_DEPENDS_FILE 
  ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_PACKAGE_DIR}/KWWidgetsLibraryDepends.cmake)

# The examples dir.
set(KWWidgets_EXAMPLES_DIR_CONFIG 
  ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_DATA_DIR}/Examples)

# The templates dir.
set(KWWidgets_TEMPLATES_DIR_CONFIG 
  ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_INCLUDE_DIR}/Templates)

# The resources dir.
set(KWWidgets_RESOURCES_DIR_CONFIG 
  ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_DATA_DIR}/Resources)

# The CMake macros dir.
set(KWWidgets_CMAKE_DIR_CONFIG 
  ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_PACKAGE_DIR}/CMake)

# The Tcl/Tk options.
set(KWWidgets_TCL_PACKAGE_INDEX_DIR_CONFIG 
  ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_LIB_DIR}/tcl)

# The Python options.
if(WIN32)
  set(python_subdir "")
else(WIN32)
  if(PYTHON_EXECUTABLE)
    exec_program("${PYTHON_EXECUTABLE}" ARGS "-V" OUTPUT_VARIABLE version)
    string(REGEX REPLACE "^(Python )([0-9]\\.[0-9])(.*)$" "\\2" 
      major_minor "${version}")
    set(python_subdir "python${major_minor}/")
  else(PYTHON_EXECUTABLE)
    set(python_subdir "python2.4/")
  endif(PYTHON_EXECUTABLE)
endif(WIN32)
set(KWWidgets_PYTHON_MODULE_DIR_CONFIG 
  ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_LIB_DIR}/../${python_subdir}site-packages)

# The Doxygen options.
set(KWWidgets_DOXYGEN_DIR_CONFIG 
  ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${KWWidgets_INSTALL_DOXYGEN_DIR})

# The VTK options.
# If VTK_BINARY_DIR is set, then KWWidgets is part of a larger parent project
# that also builds VTK. In that case, KWWidgets_VTK_INSTALL_PACKAGE_DIR
# should be set to the value of VTK_INSTALL_PACKAGE_DIR. Otherwise, if not set,
# then we are using an outside VTK whose location will not change when we
# install.
if(VTK_BINARY_DIR)
  if(NOT KWWidgets_VTK_INSTALL_PACKAGE_DIR)
    message(
      "KWWidgets_VTK_INSTALL_PACKAGE_DIR must be set by the parent project to the value of VTK_INSTALL_PACKAGE_DIR it uses to configure VTK.")
  endif(NOT KWWidgets_VTK_INSTALL_PACKAGE_DIR)
  set(KWWidgets_VTK_DIR_CONFIG ${KWWidgets_VTK_INSTALL_PACKAGE_DIR})
else(VTK_BINARY_DIR)
  # Otherwise try to find VTK relative to ourself
  set(KWWidgets_VTK_DIR_CONFIG ${DOLLAR}{KWWidgets_INSTALL_PREFIX}${VTK_INSTALL_LIB_DIR})
endif(VTK_BINARY_DIR)

# The gettext library. This is only defined for build dirs to help projects
# find the gettext library (it is safe to assume we are on the same machine;
# we could not guarantee that if we are building against an installed 
# KWWidgets though).
set(GETTEXT_SEARCH_PATH_CONFIG)

# The build configuration information.
# The install tree only has one configuration.
set(KWWidgets_CONFIGURATION_TYPES_CONFIG)

# Configure KWWidgetsConfig.cmake for the install tree.

# Construct the proper number of GET_FILENAME_COMPONENT(... PATH)
# calls to compute the installation prefix from KWWidgets_DIR.
string(REGEX REPLACE "/" ";" KWWidgets_INSTALL_PACKAGE_DIR_COUNT
  "${KWWidgets_INSTALL_PACKAGE_DIR}")
set(KWWidgets_CONFIG_INSTALL_ONLY "
# Compute the installation prefix from KWWidgets_DIR.
set(KWWidgets_INSTALL_PREFIX \"${DOLLAR}{KWWidgets_DIR}\")
")
foreach(p ${KWWidgets_INSTALL_PACKAGE_DIR_COUNT})
  set(KWWidgets_CONFIG_INSTALL_ONLY
    "${KWWidgets_CONFIG_INSTALL_ONLY}GET_FILENAME_COMPONENT(KWWidgets_INSTALL_PREFIX \"${DOLLAR}{KWWidgets_INSTALL_PREFIX}\" PATH)\n"
    )
endforeach(p)

if(CMAKE_CONFIGURATION_TYPES)
  # There are multiple build configurations.  Configure one
  # KWWidgetsConfig.cmake for each configuration.
  foreach(config ${CMAKE_CONFIGURATION_TYPES})
    set(KWWidgets_BUILD_TYPE_CONFIG ${config})
    configure_file(
      ${CMAKE_CURRENT_SOURCE_DIR}/KWWidgetsConfig.cmake.in
      ${CMAKE_CURRENT_BINARY_DIR}/${config}/KWWidgetsConfig.cmake
      @ONLY IMMEDIATE)
  endforeach(config)

  # Install the config file corresponding to the build configuration
  # specified when building the install target.  The BUILD_TYPE variable
  # will be set while CMake is processing the install files.
  if(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
    install_files(${KWWidgets_INSTALL_PACKAGE_DIR} FILES
      ${CMAKE_CURRENT_BINARY_DIR}/${DOLLAR}{BUILD_TYPE}/KWWidgetsConfig.cmake)
  endif(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
else(CMAKE_CONFIGURATION_TYPES)
  # There is only one build configuration. Configure one KWWidgetsConfig.cmake.
  set(KWWidgets_BUILD_TYPE_CONFIG ${CMAKE_BUILD_TYPE})
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/KWWidgetsConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/KWWidgetsConfig.cmake @ONLY IMMEDIATE)

  # Setup an install rule for the config file.
  if(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
    install_files(${KWWidgets_INSTALL_PACKAGE_DIR} FILES
      ${CMAKE_CURRENT_BINARY_DIR}/KWWidgetsConfig.cmake)
  endif(NOT KWWidgets_INSTALL_NO_DEVELOPMENT)
endif(CMAKE_CONFIGURATION_TYPES)

=== Examples/Cxx/CMakeLists.txt ===
subdirs(
  Callbacks
  FileBrowserDialog
  HelloWorld
  Theme
  WidgetsTour
  WindowWithPanels
  WizardDialog
  )

if(KWWidgets_USE_INTERNATIONALIZATION)
  subdirs(Internationalization)
endif(KWWidgets_USE_INTERNATIONALIZATION)

if(KWWidgets_BUILD_VTK_WIDGETS)
  subdirs(
    MedicalImageViewer
    PolygonalObjectViewer
    )
  if(KWWidgets_USE_SOVIEWER)
    subdirs(SOViewer)
  endif(KWWidgets_USE_SOVIEWER)
endif(KWWidgets_BUILD_VTK_WIDGETS)

=== Examples/Data/CMakeLists.txt ===
if(KWWidgets_BUILD_EXAMPLES OR KWWidgets_BUILD_TESTING)
  file(GLOB VTP_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.vtp")
  install_files(
    "${KWWidgets_INSTALL_DATA_DIR}/Examples/Data" FILES ${VTP_FILES})

  file(GLOB VTI_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.vti")
  install_files(
    "${KWWidgets_INSTALL_DATA_DIR}/Examples/Data" FILES ${VTI_FILES})
endif(KWWidgets_BUILD_EXAMPLES OR KWWidgets_BUILD_TESTING)

=== Examples/Python/CMakeLists.txt ===
subdirs(
  HelloWorld
  WidgetsTour
  )

=== debian/changelog ===
kwwidgets (1.0.0~cvs20100930-8) unstable; urgency=low

  * Fix volview does not start because of a missing symbol. Closes: #698698
  * Remove obsolete DMUA flags, switch to my @debian.org alias

 -- Mathieu Malaterre <malat@debian.org>  Thu, 18 Apr 2013 10:25:46 +0200

kwwidgets (1.0.0~cvs20100930-7) unstable; urgency=low

  * Improve finding of init.tcl/tk.tcl, required for VolView to work.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 10 Jan 2012 16:00:04 +0100

kwwidgets (1.0.0~cvs20100930-6) unstable; urgency=low

  * Patch CMake export configuration file. Closes: #640522
  * Remove dot wrapper. Not required anymore since doxygen 1.7.4
  * Export graphics as SVG, reducing package size by factor of 3.
  * Standards-Version: 3.9.2. No changes needed
  * Fix compilation with VTK 5.8.0. Closes: #650936

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 22 Nov 2011 19:31:26 +0100

kwwidgets (1.0.0~cvs20100930-5) unstable; urgency=low

  * Fixed FTBFS if multiple python versions are installed, use default python
    Thanks to Jakub Wilk (Closes: #644062)
  * removed unnecessary dependencies

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 02 Oct 2011 21:25:21 -0400

kwwidgets (1.0.0~cvs20100930-4) unstable; urgency=low

  * Added patch for vtk5.8

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 11 Sep 2011 22:08:30 -0400

kwwidgets (1.0.0~cvs20100930-3) unstable; urgency=low

  * Upload to unstable
  * debian/control: Added versioned dependecy to tcl-vtk (>= 5.6)

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 19 Feb 2011 15:29:48 -0500

kwwidgets (1.0.0~cvs20100930-2) experimental; urgency=low

  * debian/control: changed dependency from libopenmpi-dev to mpi-default-dev

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 29 Jan 2011 22:02:06 -0500

kwwidgets (1.0.0~cvs20100930-1) experimental; urgency=low

  * new upstream snapshot: CVSDATE="2010-06-30 23:59:59"
  * Standards-Version: 3.9.1
  * bump soname to 1.0.1009, package name changed: libkwwidgets1.0.1009

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 15 Jul 2010 15:52:05 -0400

kwwidgets (1.0.0~cvs20100630-1) experimental; urgency=low

  * new upstream snapshot: CVSDATE="2010-06-30 23:59:59"
  * bump soname to 1.0.1006, package name changed: libkwwidgets1.0.1006
  * Switch to dpkg-source 3.0 (quilt) format

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 13 Jul 2010 16:56:57 -0400

kwwidgets (1.0.0~cvs20090825-5) unstable; urgency=low

  * kwwidgets-doc depends on vtk-doc (Closes: #552347)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Tue, 29 Dec 2009 17:41:33 -0500

kwwidgets (1.0.0~cvs20090825-4) unstable; urgency=low

  * changed dependency to default-jdk
  * added dot wrapper taken from gdcmtk to reduce the size of kwwidgets-doc

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sat, 12 Dec 2009 10:59:03 -0500

kwwidgets (1.0.0~cvs20090825-3) unstable; urgency=low

  * kwwidgets-doc: .png files downsized (Closes: #557818)
  * kwwidgets-doc: .md5 files removed (Closes: #552345)
  * Content from debian/kwwidgets-doc.install
                 debian/libkwwidgets1.0.0908.install
                 debian/tcl8.5-kwwidgets.install
                 debian/python-kwwidgets.install
                 debian/libkwwidgets1-dev.install
    moved to debian/rules
  * using default python version
  * added ./CMake/FindMySQL.cmake

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 07 Dec 2009 08:46:48 -0500

kwwidgets (1.0.0~cvs20090825-2) unstable; urgency=low

  * Use bzip2 compression for binary packages 
  * Rebuild (Closes: #546441)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Tue, 15 Sep 2009 22:46:56 -0400

kwwidgets (1.0.0~cvs20090825-1) unstable; urgency=low

  * new upstream snapshot
  * upload to unstable instead of experimental
  * bump soname to 1.0.0908, package name changed: libkwwidgets1.0.0908
  * switch to Tcl/Tk 8.5, package name changed: tcl8.5-kwwidgets

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Wed, 26 Aug 2009 15:21:45 -0400

kwwidgets (1.0.0~cvs20090522-1) experimental; urgency=low

  * new upstream snapshot
  * new package python-kwwidgets added
  * new package tcl8.4-kwwidgets added
  * vtk-doc dependency for kwwidgets-doc removed
  * bump soname to 1.0.20090522

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sat, 23 May 2009 16:53:50 -0400

kwwidgets (1.0.0~cvs20080526-3) experimental; urgency=low

  * removed debian/libkwwidgets1.symbols

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Sun, 08 Feb 2009 20:51:44 -0500

kwwidgets (1.0.0~cvs20080526-2) experimental; urgency=low

  [ Mathieu Malaterre ]
  * debian/get-orig-source: cvs login is not required
  * debian/rules: support DEB_BUILD_OPTIONS=parallel=4, DEB_BUILD_OPTIONS=noopt
  * debian/rules: remove testing (neither installed, not run)
  * debian/rules: remove duplicate configuration
  * debian/rules: use doxygen target
  * kwwidgets doxygen need toplevel vtk class (for doxygen hierarchy).
    vtk-doc is now required

  [ Dominique Belhachemi]
  * added debian/libkwwidgets1.symbols
  * debhelper version increased to 7
  * debian/control: doxygen & graphviz moved to Build-Depends-Indep
  * debian/copyright: removed ambiguity
  * debian/rules: uses "dh_prep" now instead of "dh_clean -k"

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Wed, 12 Nov 2008 21:59:28 +0100

kwwidgets (1.0.0~cvs20080526-1) experimental; urgency=low

  * Initial release (Closes: #473045)

 -- Dominique Belhachemi <domibel@cs.tu-berlin.de>  Mon, 23 Aug 2008 16:21:52 +0000

=== debian/control ===
Source: kwwidgets
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 7), cdbs, cmake, quilt (>= 0.40),
 tcl-vtk (>= 5.6), libvtk5-dev (>= 5.6), tcl8.5-dev, tk8.5-dev,
 python-support, python-dev, python-vtk
Build-Depends-Indep: doxygen (>= 1.7.4), graphviz, vtk-doc
Standards-Version: 3.9.2
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/kwwidgets/trunk/
Vcs-Svn: svn://svn.debian.org/debian-science/packages/kwwidgets/trunk/
Section: libs
XS-Python-Version: current
Homepage: http://www.kwwidgets.org/

Package: libkwwidgets1-dev
Section: libdevel
Architecture: any
Provides: libkwwidgets-dev
Conflicts: libkwwidgets-dev
Depends: libkwwidgets1.0.1009 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cross-Platform GUI Toolkit - development
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers,
 histograms, windows and dialogs.
 .
 This package contains developer files for KWWidgets

Package: libkwwidgets1.0.1009
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross-Platform GUI Toolkit - runtime
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers, 
 histograms, windows and dialogs.
 .
 More importantly, KWWidgets builds upon this set of widgets to
 interface to visualization libraries like VTK and offer high-level
 visualization-oriented widgets like surface material editors,
 simple animation generators, transfer function editors, annotation 
 editors, window/level and volume property preset editors, text
 property editors, 2D and 3D rendering widgets, etc.
 .
 This package contains library files for KWWidgets

Package: kwwidgets-examples
Section: graphics
Suggests: libkwwidgets1-dev
Architecture: all
Depends: ${misc:Depends}
Description: Cross-Platform GUI Toolkit - examples
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers,
 histograms, windows and dialogs.
 .
 More importantly, KWWidgets builds upon this set of widgets to
 interface to visualization libraries like VTK and offer high-level
 visualization-oriented widgets like surface material editors,
 simple animation generators, transfer function editors, annotation
 editors, window/level and volume property preset editors, text
 property editors, 2D and 3D rendering widgets, etc.
 .
 This package contains examples from the KWWidgets source.

Package: kwwidgets-doc
Section: doc
Suggests: libkwwidgets1-dev
Architecture: all
Depends: ${misc:Depends}, vtk-doc
Description: Cross-Platform GUI Toolkit - documentation
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers,
 histograms, windows and dialogs.
 .
 More importantly, KWWidgets builds upon this set of widgets to
 interface to visualization libraries like VTK and offer high-level
 visualization-oriented widgets like surface material editors,
 simple animation generators, transfer function editors, annotation
 editors, window/level and volume property preset editors, text
 property editors, 2D and 3D rendering widgets, etc.
 .
 This package contains documentation files for KWWidgets.

Package: python-kwwidgets
Section: python
Architecture: any
Depends: ${python:Depends}, libkwwidgets1.0.1009 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cross-Platform GUI Toolkit - Python
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers,
 histograms, windows and dialogs.
 .
 More importantly, KWWidgets builds upon this set of widgets to
 interface to visualization libraries like VTK and offer high-level
 visualization-oriented widgets like surface material editors,
 simple animation generators, transfer function editors, annotation
 editors, window/level and volume property preset editors, text
 property editors, 2D and 3D rendering widgets, etc.
 .
 This package contains Python support for KWWidgets.

Package: tcl8.5-kwwidgets
Section: interpreters
Architecture: any
Conflicts: tcl8.4-kwwidgets
Replaces: tcl8.4-kwwidgets
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.5, tk8.5
Description: Cross-Platform GUI Toolkit - TCL/TK
 Like many other GUI toolkits, it provides low-level core widgets
 like buttons, entries, scales, menus, combo-boxes, thumbwheels,
 spin-boxes, trees, notebooks and multi-column lists to name a few.
 Unlike many of those toolkits though, it also provides advanced
 composite widgets like toolbars, tooltips, progress gauges,
 split-frames, splash-screens, 2D/3D extents, color pickers,
 histograms, windows and dialogs.
 .
 More importantly, KWWidgets builds upon this set of widgets to
 interface to visualization libraries like VTK and offer high-level
 visualization-oriented widgets like surface material editors,
 simple animation generators, transfer function editors, annotation
 editors, window/level and volume property preset editors, text
 property editors, 2D and 3D rendering widgets, etc.
 .
 This package contains Tcl/Tk support for KWWidgets.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=0

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
export CFLAGS

# set the number of build jobs
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        JOBS := -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
DEB_BUILDDIR = $(CURDIR)/DEB_build_shared
DEB_DESTDIR = $(CURDIR)/debian/tmp
DEB_MAKE_BUILD_TARGET    := $(JOBS)
DEB_MAKE_INSTALL_TARGET  := $(JOBS) install


PYVERS = $(shell pyversions -r debian/control)
PYMODDIR = usr/lib/$(PYVERS)/site-packages
PYEXTDIR = $(PYMODDIR)


$(DEB_BUILDDIR)/CMakeCache.txt: debian/CMakeCache.txt.debian
	cp $< $@
	echo CMAKE_INSTALL_PREFIX:PATH=$(CURDIR)/debian/tmp/usr >> $@
	echo CMAKE_VERBOSE_MAKEFILE:BOOL=$(DH_VERBOSE) >> $@
	echo CMAKE_CXX_FLAGS:STRING=-Wno-deprecated -I/usr/include/$(PYVERS) >> $@
	echo CMAKE_SHARED_LINKER_FLAGS:STRING=-Wl,--as-needed >> $@
	echo CMAKE_EXE_LINKER_FLAGS:STRING=-Wl,--as-needed >> $@
	echo BUILD_DOCUMENTATION:BOOL=ON >> $@
	echo KWWidgets_BUILD_EXAMPLES:BOOL=OFF >> $@
	echo KWWidgets_BUILD_TESTING:BOOL=OFF >> $@
	echo BUILD_SHARED_LIBS:BOOL=ON >> $@

get-orig-source:
	/bin/sh $(CURDIR)/debian/get-orig-source


common-configure-arch:: $(DEB_BUILDDIR)/CMakeCache.txt
	cd $(DEB_BUILDDIR) && cmake ..


common-build-arch::
	sed -i -e "s#/usr/lib/\(`dpkg-architecture -qDEB_HOST_MULTIARCH`/\)\?lib\([^;]*\)\.so#\2#g" ./DEB_build_shared/KWWidgetsLibraryDepends.cmake
	echo "python-kwwidgets: non-dev-pkg-with-shlib-symlink" > debian/python-kwwidgets.lintian-overrides
	echo "python-kwwidgets: package-name-doesnt-match-sonames" >> debian/python-kwwidgets.lintian-overrides
	dh_lintian


install/kwwidgets-doc::
	doxygen -u -s $(DEB_BUILDDIR)/Utilities/Doxygen/Doxyfile
	doxygen $(DEB_BUILDDIR)/Utilities/Doxygen/Doxyfile
	# remove zero byte files
	find $(DEB_BUILDDIR)/Utilities/Doxygen/doc/ -depth -empty | xargs rm -rf
	find $(DEB_BUILDDIR)/Utilities/Doxygen/doc/ -name "*.md5" | xargs rm -rf
	dh_install -pkwwidgets-doc         ../../DEB_build_shared/Utilities/Doxygen/doc/html usr/share/doc/kwwidgets-doc

install/python-kwwidgets::
	dh_install -ppython-kwwidgets      $(PYMODDIR)/KWWidgets-1.0*.egg-info               $(PYMODDIR)
	dh_install -ppython-kwwidgets      $(PYMODDIR)/libKWWidgetsPython.so                 $(PYMODDIR)
	dh_install -ppython-kwwidgets      $(PYMODDIR)/kwwidgets.py                          $(PYMODDIR)
	dh_install -ppython-kwwidgets      usr/lib/libKWWidgetsPythonD.so*                   usr/lib
	dh_pysupport -v


install/kwwidgets-examples::
	dh_installexamples  -pkwwidgets-examples  Examples/*


install/tcl8.5-kwwidgets::
	dh_install -ptcl8.5-kwwidgets      usr/lib/KWWidgets/tcl/pkgIndex.tcl                usr/lib/KWWidgets
	dh_install -ptcl8.5-kwwidgets      usr/lib/tcl/kwwidgets/kwwidgets.tcl               usr/lib/KWWidgets/kwwidgets


install/libkwwidgets1.0.1009::
	dh_install -plibkwwidgets1.0.1009  usr/lib/libKWWidgets.so.*                         usr/lib


install/libkwwidgets1-dev::
	dh_install -plibkwwidgets1-dev     usr/lib/libKWWidgets.so                           usr/lib
	dh_install -plibkwwidgets1-dev     usr/lib/KWWidgets/CMake/*                         usr/lib/KWWidgets/CMake
	dh_install -plibkwwidgets1-dev     usr/lib/KWWidgets/*.cmake                         usr/lib/KWWidgets
	dh_install -plibkwwidgets1-dev     usr/include/KWWidgets/*                           usr/include/KWWidgets


clean::
	rm -rf $(DEB_BUILDDIR)
